Bug 150336 - ifup aliases incorrect behaviour when having different netmask for aliases
ifup aliases incorrect behaviour when having different netmask for aliases
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-04 13:08 EST by Aleksandar Ivanisevic
Modified: 2014-03-16 22:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-01 10:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksandar Ivanisevic 2005-03-04 13:08:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.6)
Gecko/20050223 Firefox/1.0.1

Description of problem:

network reload (whichever script creates the aliases) in some cases
creates ghost alias with wrong netmask which then leads to routing
problems


Version-Release number of selected component (if applicable):
initscripts-7.31.16.EL-1

How reproducible:
Always

Steps to Reproduce:
# cat /etc/sysconfig/network
NETWORKING=yes
HOSTNAME=xxxx
GATEWAY=213.198.88.110


# cat /etc/sysconfig/network-scripts/ifcfg-eth0
DEVICE=eth0
BOOTPROTO=static
IPADDR=213.198.88.97
NETMASK=255.255.255.240

ONBOOT=yes
TYPE=Ethernet
ETHTOOL_OPTS="speed 100 duplex full autoneg off"


# cat /etc/sysconfig/network-scripts/ifcfg-eth0-range0

DEVICE=eth0
BOOTPROTO=static
IPADDR_START=192.168.88.97
IPADDR_END=192.168.88.97
CLONENUM_START=0
NETMASK=255.255.255.0
ONBOOT=yes



Actual Results:  # /etc/init.d/network reload
Shutting down interface eth0:                              [  OK  ]
Shutting down interface eth1:                              [  OK  ]
Shutting down loopback interface:                          [  OK  ]
Setting network parameters:                                [  OK  ]
Bringing up loopback interface:                            [  OK  ]
Bringing up interface eth0:                                [  OK  ]
Bringing up interface eth0-range0:                         [  OK  ]
Bringing up interface eth1:                                [  OK  ]

# ip addr l
1: lo: <LOOPBACK,UP> mtu 16436 qdisc noqueue
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 brd 127.255.255.255 scope host lo
2: eth0: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:0d:60:99:a6:1a brd ff:ff:ff:ff:ff:ff
    inet 213.198.88.97/28 brd 213.198.88.111 scope global eth0
    inet 192.168.88.97/24 brd 192.168.88.255 scope global eth0:0
    inet 213.198.88.97/24 brd 213.198.88.255 scope global eth0
3: eth1: <BROADCAST,MULTICAST,UP> mtu 1500 qdisc pfifo_fast qlen 1000
    link/ether 00:0d:60:99:a6:1b brd ff:ff:ff:ff:ff:ff
    inet 10.198.88.97/16 brd 10.198.255.255 scope global eth1


as you can see, there is a "ghost" alias with the primary address and
wrong netmask

Expected Results:  
There should be no "ghost" alias. If I put the same netmask in the
range file, everything is OK

Additional info:
Comment 1 Miloslav Trmač 2006-02-07 07:40:55 EST
Fixed in rawhide initscripts-8.26-1.
Comment 2 Bill Nottingham 2006-08-01 10:41:31 EDT
This problem is resolved in the next release of Red Hat Enterprise Linux. Red
Hat does not currently plan to provide a resolution for this in a Red Hat
Enterprise Linux update for currently deployed systems.

With the goal of minimizing risk of change for deployed systems, and in response
to customer and partner requirements, Red Hat takes a conservative approach when
evaluating changes for inclusion in maintenance updates for currently deployed
products. The primary objectives of update releases are to enable new hardware
platform support and to resolve critical defects. 

Note You need to log in before you can comment on or make changes to this bug.